<?php
	session_start();
	if($_SESSION['adm'])
	{
		$userid= $_SESSION['adm'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<head>
    <title>Generate Amount</title>
    <script>
        function convertNumberToWords(amount) {
    var words = new Array();
    words[0] = '';
    words[1] = 'One';
    words[2] = 'Two';
    words[3] = 'Three';
    words[4] = 'Four';
    words[5] = 'Five';
    words[6] = 'Six';
    words[7] = 'Seven';
    words[8] = 'Eight';
    words[9] = 'Nine';
    words[10] = 'Ten';
    words[11] = 'Eleven';
    words[12] = 'Twelve';
    words[13] = 'Thirteen';
    words[14] = 'Fourteen';
    words[15] = 'Fifteen';
    words[16] = 'Sixteen';
    words[17] = 'Seventeen';
    words[18] = 'Eighteen';
    words[19] = 'Nineteen';
    words[20] = 'Twenty';
    words[30] = 'Thirty';
    words[40] = 'Forty';
    words[50] = 'Fifty';
    words[60] = 'Sixty';
    words[70] = 'Seventy';
    words[80] = 'Eighty';
    words[90] = 'Ninety';
    amount = amount.toString();
    var atemp = amount.split(".");
    var number = atemp[0].split(",").join("");
    var n_length = number.length;
    var words_string = "";
    if (n_length <= 9) {
        var n_array = new Array(0, 0, 0, 0, 0, 0, 0, 0, 0);
        var received_n_array = new Array();
        for (var i = 0; i < n_length; i++) {
            received_n_array[i] = number.substr(i, 1);
        }
        for (var i = 9 - n_length, j = 0; i < 9; i++, j++) {
            n_array[i] = received_n_array[j];
        }
        for (var i = 0, j = 1; i < 9; i++, j++) {
            if (i == 0 || i == 2 || i == 4 || i == 7) {
                if (n_array[i] == 1) {
                    n_array[j] = 10 + parseInt(n_array[j]);
                    n_array[i] = 0;
                }
            }
        }
        value = "";
        for (var i = 0; i < 9; i++) {
            if (i == 0 || i == 2 || i == 4 || i == 7) {
                value = n_array[i] * 10;
            } else {
                value = n_array[i];
            }
            if (value != 0) {
                words_string += words[value] + " ";
            }
            if ((i == 1 && value != 0) || (i == 0 && value != 0 && n_array[i + 1] == 0)) {
                words_string += "Crores ";
            }
            if ((i == 3 && value != 0) || (i == 2 && value != 0 && n_array[i + 1] == 0)) {
                words_string += "Lakhs ";
            }
            if ((i == 5 && value != 0) || (i == 4 && value != 0 && n_array[i + 1] == 0)) {
                words_string += "Thousand ";
            }
            if (i == 6 && value != 0 && (n_array[i + 1] != 0 && n_array[i + 2] != 0)) {
                words_string += "Hundred and ";
            } else if (i == 6 && value != 0) {
                words_string += "Hundred ";
            }
        }
        words_string = words_string.split("  ").join(" ");
    }
	var words_string_Upper_Case = words_string.toUpperCase();
    return words_string_Upper_Case;
}
    </script>
<style>
body{background:url(bg.jpg); background-size:cover; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #BankBalanceT{border-collapse:collapse; text-align:center; line-height:30px; width:550px; height:200px; font-size:20px; position:absolute; margin:40 0 0 700px;}
 #BankBalanceT th{background:black; color:white;}
 #BankBalanceT td{background:white; color:black;}
 #t{margin:40 0 0 120px; border-collapse:collapse; font-size:20px; text-align:center; background:white;}
 #t input{width:230px; height:30px; border:1px solid black;}
 #t select{width:230px; height:30px; font-size:16px; border:1px solid black;}
 .content{background:;}
 .content h3{margin:10 20px; font-size:20px;}
 .viewstate{background:#996420; width:1350px; height:40px; margin:10 0 0 20px;}
 .viewstate h3{line-height:40px; margin-left:20px; color:white;}
 #ChosseDate{ margin:20 0 5 20px;}
 #inp2{height:40px; font-size:18px; padding:5px; margin-left:10px; float:left;}
 #anch{background:white; color:black; text-align:center; line-height:40px; width:180px; height:40px; text-decoration:none; font-size:25px; margin-left:100px; padding:10 50px;}
 #anch:hover{background:black; color:white;}
 #spaceTR{height:50px;}
#t1{ width:1350px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px; font-size:18px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
 
 #word{background:green; color:white; position:absolute; top:155px; left:200px; font-size:20px; padding:2 5px; border-radius:3px;}
 .foot{float:left; margin:10 0 0 100px; width:1350px;}
 
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
	<div class="menu">
		<ul>
			<li><a href="admin.php" id="a1">Home</a></li>
			<li>Setting
				<ul>
					<li><a href="add_operator.php">Operator</a></li>
					<li><a href="set_commision.php">Set Commision</a></li>
					<li><a href="add_bank_details.php">Add Bank Details</a></li>
					<li><a href="retailer_type.php">Retailer Type</a></li>
					<li><a href="add_state.php">State</a></li>
					<li><a href="add_city.php">City</a></li>
				</ul>
			</li>
			<li>Manage Users
				<ul>
					<li><a href="list_complain.php">Complain</a></li>
					<li><a href="alert_msg.php">Alert</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Master Distributers
				<ul>
					<li><a href="add_md.php">Add M. Distributers</a></li>
					<li><a href="view_md.php">View M. Distributers</a></li>
				</ul>
			</li>
			<li>Distributers
				<ul>
					<li><a href="add_distributer.php">Add Distributers</a></li>
					<li><a href="view_distributer.php">View Distributers</a></li>
				</ul>
			</li>
			<li>Retailer
				<ul>
					<li><a href="add_agent.php">Add Retailer</a></li>
					<li><a href="view_retailer.php">View Retailer</a></li>
				</ul>
			</li>
			<li>Reports
				<ul>
					<li><a href="pending_recharge.php">Pending Recharge</a></li>
					<li><a href="admin_recharge_history.php">Recharge History</a></li>
					<li><a href="check_status.php">Check Transaction</a></li>
					<li><a href="account_reports.php">Account Report</a></li>
					<li><a href="view_payment1.php">Payment Request</a></li>
				</ul>
			</li>
		</ul>
	</div>
	<div class="content">
	    <?php
			include'connection.php';
			date_default_timezone_set("asia/Kolkata");
			$datetime= Date("Y-m-d - h:i:s A");
			$time= Date("h:i:s A");
			$date= Date("Y-m-d");
			
			$quGetOldBal="select * from wallet where userid='$userid' order by Id desc";
			$reGetOldBal=mysqli_query($con,$quGetOldBal);
			$GetOldBal=mysqli_fetch_array($reGetOldBal);
			$AdminOldBal=$GetOldBal['Balance'];
			
			$quGetTxnId="select * from wallet where Userid='$userid' and Transactiontype='Generate_Amount' order by Id desc";
			$reGetTxnId=mysqli_query($con,$quGetTxnId);
			$dataGetTxnId=mysqli_fetch_array($reGetTxnId);
			$OldTxnId=$dataGetTxnId['Paynrechid'];
			$NewTxnId=$OldTxnId+1;
		?>
		<form method="post">
		<h3>Add New Balance</h3><hr>
		<div id="BankBalance">
		    <table border="1" cellpadding="10" id="BankBalanceT">
		        <tr>
		            <th>Bank Name</th>
		            <th>Balance</th>
		        </tr>
		    <?php
		        $quBank="select * from bank";
		        $reBank=mysqli_query($con,$quBank);
		        while($dataBank=mysqli_fetch_array($reBank))
		        {
		            $TotalBankBal=0;
		            $AllBank=$dataBank['Bankname'];
		            $BankId=$dataBank['Id'];
		            
		                $quGetBankBal="select * from Bank_Account_Txn where Bank_Id='$BankId'";
		                $reGetBankBal=mysqli_query($con,$quGetBankBal);
		                while($dataGetBankBal=mysqli_fetch_array($reGetBankBal))
		                {
		                    $Txn=$dataGetBankBal['Txn'];
		                    $TotalBankBal=$TotalBankBal+$Txn;
		                }
		                
		            echo "<tr>";
		                echo "<td><a href='Bank_Account_Txn.php?BankId=".$BankId."' target='_blank'>".$AllBank."</a></td>";
		                echo "<td>".floor($TotalBankBal)."</td>";
		            echo "</tr>";
		        }
		    ?>
		    </table>
		</div>
		
		<table border="1" cellpadding="7"id="t">
			<tr>
				<td><p id="tbp">Add balance :</p></td>
				<td><input type="number" name="addbal" onkeyup="word.innerHTML=convertNumberToWords(this.value)" required></td><p id="word"></p>
			</tr>
			<tr>
				<td><p id="tbp">Pay to :</p></td>
				<td>
				    <?PHP
				        $quGetSeller="SELECT * FROM Seller WHERE Status='Active' ORDER BY Name ASC";
				        $reGetSeller=mysqli_query($con,$quGetSeller);
				    ?>
				    <script>
				        function firmName()
				        {
				            var SellerId = document.getElementById("Seller").value;
				            
				            var xmlhttpSponser = new XMLHttpRequest();
							xmlhttpSponser.open("GET","ajax_firmBySeller.php?SellerId="+SellerId, false)
							xmlhttpSponser.send(null);
				            document.getElementById("firmPlace").innerHTML = xmlhttpSponser.responseText;
				        }
				    </script>
				    <select name="PayTo" onchange="firmName()" id="Seller">
				        <option>--Select Seller--</option>
				        <?php
				            while($dataGetSeller=mysqli_fetch_array($reGetSeller))
				            {
				                echo "<option>".$dataGetSeller['Name']."</option>";
				            }
				        ?>
				        <option>Other</option>
				    </select>
				</td>
			</tr>
			<tr>
				<td><p id="tbp">Pay For :</p></td>
				<td>
				    <select name="TxnService">
				        <option>--Select Txn Service--</option>
				        <option>Manage Differences</option>
				        <option>Rech_API</option>
				        <option>AIRTEL</option>
				        <option>IDEA</option>
				        <option>JIO</option>
				        <option>VODAFONE</option>
				        <option>Quick_API</option>
				        <option>Kwik_API</option>
				        <option>Unique_API</option>
				        <option>DiziPay_API</option>
				        <option>Other</option>
				    </select>
				</td>
			</tr>
    		<tr>
	    		<td>Choose Bank: </td>
		    	<td>
			        <select name="BankName">
			            <option>--Select Bank--</option>
			            <option>Pay By Cash</option>
			            <option>Pay LLP Fund</option>
			            <?php
			                $GetBank="select * from bank";
    			            $reGetbank=mysqli_query($con,$GetBank);
	    		            while($dataGetbank=mysqli_fetch_array($reGetbank))
		    	            {
			                   echo "<option>".$dataGetbank['Bankname']."</option>"; 
			                }
			            ?>
    			    </select>
	    		</td>
		    </tr>
			<tr>
				<td><p id="tbp">Add Remarks :</p></td>
				<td id="firmPlace"><input type="text" name="rmark" required></td>
			</tr>
			<tr>
				<td><input type="checkbox" name="dup" value="Dup"></td>
				<td>
					<input type="submit" name="submit" value="Submit" id="btn">
				</td>
			</tr>
		</table>
		</form>
	</div>
	<div id="ChosseDate">
	    <form method="post">
	    <input type="date" name="fdate" value="<?php echo $date; ?>" id="inp2">
	    <input type="date" name="ldate" value="<?php echo $date; ?>" id="inp2">
	    <select id="inp2" name="seller">
	        <option>ALL</option>
			<?php
				$quGetSeller2="select * from Seller";
				$reGetSeller2=mysqli_query($con,$quGetSeller2);
			    while($dataGetSeller2=mysqli_fetch_array($reGetSeller2))
			    {
				    echo "<option>".$dataGetSeller2['Name']."</option>";
			    }
			    ?>
			<option>Other</option>
	    </select>
	    <select id="inp2" name="bank">
	        <option>ALL</option>
	        <option>Pay By Cash</option>
	        <option>Pay LLP Fund</option>
			<?php
				$quGetBank="select * from bank";
				$reGetBank=mysqli_query($con,$quGetBank);
			    while($dataGetBank=mysqli_fetch_array($reGetBank))
			    {
				    echo "<option>".$dataGetBank['Bankname']."</option>";
			    }
			    ?>
			<option>Other</option>
	    </select>
	    <select name="sort" id="inp2">
	        <option>ASC</option>
	        <option>DESC</option>
	    </select>
	    <input type="submit" name="submit2" value="Search" id="inp2">
	    </form>
	    
		<a href="AddSeller.php" target="_blank" id="anch">Add Seller</a>
	</div>
	<div class="viewstate">
		<h3>View All Message</h3>
	</div>
	<table border="1" cellpadding="7" id="t1">
		<tr>
			<th>Sl.No.</th>
			<th>E-Wallet Id</th>
			<th>Txn Id</th>
			<th>Date | Time</th>
			<th>Pay To</th>
			<th>Pay By</th>
			<th>Pay For</th>
			<th>Opening Bal</th>
			<th>Credit</th>
			<th>Balance</th>
			<th>Remarks</th>
			<th>Txn Type</th>
			<th>Action</th>
		</tr>
		    
		<?php
			if(isset($_POST['submit']))
			{
				$addbal=$_POST['addbal'];
				$PayTo=$_POST['PayTo'];
				$TxnService=$_POST['TxnService'];
				$rmark=$_POST['rmark'];
				$BankName=$_POST['BankName'];
				$dup=$_POST['dup'];
				
				if($PayTo=="--Select Seller--" || $TxnService=="--Select Txn Service--" || $BankName=="--Select Bank--")
				{
				    $msg= "Invalid Input !";
				    echo "<h3 align='center' style='color:red; font-weight:bold;'>".$msg."</h3>";
				    exit();
				}
				
				$quDup="SELECT * FROM wallet WHERE Txn='$addbal' AND Paymentfrom='$PayTo' AND Date='$date'";
				$reDup=mysqli_query($con,$quDup);
				$countDup=mysqli_num_rows($reDup);
				
				if(empty($userid) || empty($addbal) || empty($date))
				{
				    $msg= "Something Empty !";
				    echo "<h3 align='center' style='color:red; font-weight:bold;'>".$msg."</h3>";
				    exit();
				}
				elseif($countDup>0 && $dup!="Dup")
				{   
				    $msg= "Duplicate Txn Not Allowed";
				    echo "<h3 align='center' style='color:red; font-weight:bold;'>".$msg."</h3>";
				}
				else
				{
				    $query="insert into wallet(Userid,Txn,Credit,Remarks,Date,Time,Paymentfrom,Paymentto,Transactiontype,Paynrechid,Payfromname)
				    values('$userid','$addbal','$addbal','$rmark','$date','$time','$PayTo','$TxnService','Generate_Amount','$NewTxnId','$BankName')";
				
    				if(mysqli_query($con,$query))
	    			{
		    		        $AdminEwalletId=mysqli_insert_id($con);
			        
							$quDisClBal2="select * from wallet where Userid='$userid' and Id>=240062";
                            $reDisClBal2=mysqli_query($con,$quDisClBal2);
	                        $NewDisBal2=0;
	                        while($dataDisClBal2=mysqli_fetch_array($reDisClBal2))
	                        {
	                            $NewDisTxn2= $dataDisClBal2['Txn'];
	                            $NewDisBal2=$NewDisBal2+$NewDisTxn2;
                            }
                            $AdminOpBal=$NewDisBal2-$NewDisTxn2;
							$queryW2="update wallet set Openingbalance='$AdminOpBal', Balance='$NewDisBal2' where Id='$AdminEwalletId'";
							mysqli_query($con,$queryW2);
										
							$query12="update admin set Balance='$NewDisBal2' where Userid='$userid'";
							mysqli_query($con,$query12);
							if($BankName=="Pay By Cash" || $BankName=="Pay LLP Fund")
							{
							    echo "<h3 align='center' style='color:green; font-weight:bold;'>Generate & Add Amount Succefully !</h3>";
							}
							else
							{
    							$BankId="select Id from bank where Bankname='$BankName'";
	    			            $reBankId=mysqli_query($con,$BankId);
		    		            $dataBankId=mysqli_fetch_array($reBankId);
			    	            $BankId=$dataBankId['Id'];
			    	            if($addbal=="-$addbal")
			    	            {
			    	                $addbal2=$addbal;
			    	            }
			    	            else
			    	            {
			    	                $addbal2=-$addbal;
			    	            }
				                $InsertTxn="insert into Bank_Account_Txn(Date,Time,Bank_Id,Bank_Name,Txn,Txn_Id,Disc,Txn_For)
				                values('$date','$time','$BankId','$BankName','$addbal2','$AdminEwalletId','Generate_Amount','$PayTo')";
				                if(mysqli_query($con,$InsertTxn))
				                {
				                    $bankSqliId=mysqli_insert_id($con);
				                    if($PayTo=="Ozzy Api")
				                    {
				                        $quApiBal="SELECT * FROM Api_Partner WHERE Api='Ozzy_Api' ORDER BY Id DESC";
                                        $reApiBal=mysqli_query($con,$quApiBal);
                                        $dataApiBal=mysqli_fetch_array($reApiBal);
                                        $clBal=$dataApiBal['ClBal'];
                                        $NetApiBal=$clBal+$addbal;
                                        $insertApiPartner="INSERT INTO Api_Partner (Date,Time,Api,TxnId,TxnType,Amount,OpBal,Txn,ClBal) 
                                        VALUES ('$date','$time','Ozzy_Api','$bankSqliId','PAYMENT','$amount','$clBal','$addbal','$NetApiBal')";
                                        mysqli_query($con,$insertApiPartner);
                                                        	  
				                    }
								    echo "<h3 align='center' style='color:green; font-weight:bold;'>Generate & Add Amount Succefully !</h3>";
				                }
							}
				    }
    				else
	    			{
		    			echo "error";
			    	}
			    	
				    mysqli_close($con);
		    	    echo "<META HTTP-EQUIV ='Refresh' Content ='5'>";
				}
			}
			else
			{
			
			    if(isset($_POST['submit2']))
			    {
			        $fdate=$_POST['fdate'];
			        $ldate=$_POST['ldate'];
			        $seller=$_POST['seller'];
			        $bank=$_POST['bank'];
			        $sort=$_POST['sort'];
    		        $sl=0;
    		        if($seller=="ALL")
    		        {
    		            if($bank=="ALL")
    		            {
	    	    	        $quGetGenrateTxn="select * from wallet where Userid='$userid' and Date>='$fdate' and Date<='$ldate' and Transactiontype='Generate_Amount' order by Id $sort";
    		            }
    		            else
    		            {
    		                $quGetGenrateTxn="select * from wallet where Userid='$userid' and Date>='$fdate' and Date<='$ldate' and Payfromname='$bank' and Transactiontype='Generate_Amount' order by Id $sort";
    		            }
    		        }
    		        else
    		        {
    		            $quGetGenrateTxn="select * from wallet where Userid='$userid' and Paymentfrom='$seller' and Date>='$fdate' and Date<='$ldate' and Transactiontype='Generate_Amount' order by Id $sort";
    		        }
		        	$reGetGenrateTxn=mysqli_query($con,$quGetGenrateTxn);
		        	while($dataGetGenrateTxn=mysqli_fetch_array($reGetGenrateTxn))
		    	    {
	    	    	    $TotalCredit=$TotalCredit+$dataGetGenrateTxn['Credit'];
		    	        $sl=$sl+1;
    		    		echo "<tr>";
	    	    			echo "<td>".$sl."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Id']."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Paynrechid']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Date']." | ".$dataGetGenrateTxn['Time']."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Paymentfrom']."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Payfromname']."</td>";
				    	    echo "<td>".$dataGetGenrateTxn['Paymentto']."</td>";
	    	    			echo "<td>".$dataGetGenrateTxn['Openingbalance']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Credit']."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Balance']."</td>";
		    	    		echo "<td>".$dataGetGenrateTxn['Remarks']."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Transactiontype']."</td>";
			    	    	echo "<td><a href='edit_generate_amount.php?id=".$dataGetGenrateTxn['Id']."' target='_blank'>Edit</a></td>";
    				    echo "<tr>";
	    	    	}
		        	echo "<tr>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th>".$ChooseDate."</th>";
		        	    echo "<th></th>";
		        	    echo "<th>Total Payment</th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th>".$TotalCredit."</th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	echo "</tr>";
		    	    
			    }
    		    else
	    	    {
	    	        $TotalCredit=0;
		            $sl=0;
		        	$quGetGenrateTxn="select * from wallet where Userid='$userid' and Date='$date' and Transactiontype='Generate_Amount'";
		    	    $reGetGenrateTxn=mysqli_query($con,$quGetGenrateTxn);
    		    	while($dataGetGenrateTxn=mysqli_fetch_array($reGetGenrateTxn))
	    	    	{
	    	    	    $TotalCredit=$TotalCredit+$dataGetGenrateTxn['Credit'];
		        	    $sl=$sl+1;
		        		echo "<tr>";
		    	    		echo "<td>".$sl."</td>";
			    	    	echo "<td>".$dataGetGenrateTxn['Id']."</td>";
				    	    echo "<td>".$dataGetGenrateTxn['Paynrechid']."</td>";
    		    			echo "<td>".$dataGetGenrateTxn['Date']." | ".$dataGetGenrateTxn['Time']."</td>";
	    		    		echo "<td>".$dataGetGenrateTxn['Paymentfrom']."</td>";
	    		    		echo "<td>".$dataGetGenrateTxn['Payfromname']."</td>";
		    		    	echo "<td>".$dataGetGenrateTxn['Paymentto']."</td>";
		        			echo "<td>".$dataGetGenrateTxn['Openingbalance']."</td>";
			        		echo "<td>".$dataGetGenrateTxn['Credit']."</td>";
				        	echo "<td>".$dataGetGenrateTxn['Balance']."</td>";
		    			    echo "<td>".$dataGetGenrateTxn['Remarks']."</td>";
    			    		echo "<td>".$dataGetGenrateTxn['Transactiontype']."</td>";
			    	    	echo "<td><a href='edit_generate_amount.php?id=".$dataGetGenrateTxn['Id']."' target='_blank'>Edit</a></td>";
	    			    echo "<tr>";
		        	}
		        	echo "<tr>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th>".$date."</th>";
		        	    echo "<th></th>";
		        	    echo "<th>Total Payment</th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th>".$TotalCredit."</th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	    echo "<th></th>";
		        	echo "</tr>";
		        }
			}
		?>
	</table>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>